Vision OCR API, REST: TextRecognitionAsync.Recognize
To send the image for asynchronous text recognition.
HTTP request
POST https://ocr.api.cloud.yandex.net/ocr/v1/recognizeTextAsync
Body parameters
{
// Includes only one of the fields `content`
"content": "string",
// end of the list of possible fields
"mimeType": "string",
"languageCodes": [
"string"
],
"model": "string"
}
|
Field |
Description |
|
content |
string (bytes) Bytes with data Includes only one of the fields |
|
mimeType |
string Specifications of the (MIME type). Each specification contains the file to analyze and features to use for analysis. Restrictions:
|
|
languageCodes[] |
string List of the languages to recognize text. |
|
model |
string Model to use for text detection. |
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
}
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 text format. The range of possible values is from To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 text format. The range of possible values is from To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code. |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |